package com.cxzx.taide;

import com.cxzx.config.KafkaConfig;
import com.cxzx.db.KafkaData;
import lombok.Cleanup;
import org.apache.kafka.clients.producer.KafkaProducer;
import org.apache.kafka.clients.producer.ProducerRecord;

import java.util.Date;

import static com.cxzx.db.Tidb.articleData;

public class PushTestData {
    public static void main(String[] args) {
        @Cleanup
        var producer = new KafkaProducer<String, String>(KafkaConfig.getKafkaProducerProperties());
        long offset = 0;
        while (true) {
            var articleDataList = articleData(offset, 1000);
            if (articleDataList.size() == 0) {
                break;
            }
            for (KafkaData data : articleDataList) {
                producer.send(new ProducerRecord<>("article_test", 0, new Date().getTime(), "", data.getData()));
                offset = data.getOffset();
            }
        }

    }
}
